#include <18F2523.h>

#device adc=16    // gets all 12 bits, left justified (no choice on that)

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES WDT128                   //Watch Dog Timer uses 1:128 Postscale
#FUSES INTRC_IO                 //H4 High speed Osc W/PLL, using internal now
#FUSES NOPROTECT                //Code not protected from reading
#FUSES BROWNOUT                 //Reset when brownout detected
#FUSES BORV46                   //Brownout reset at 4.6V
#FUSES PUT                      //Power Up Timer
#FUSES NOCPD                    //No EE protection
#FUSES STVREN                   //Stack full/underflow will cause reset
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES LVP                      //Low Voltage Programming on B3(PIC16) or B5(PIC18)
#FUSES NOWRT                    //Program memory not write protected
#FUSES NOWRTD                   //Data EEPROM not write protected
#FUSES IESO                     //Internal External Switch Over mode enabled
#FUSES FCMEN                    //Fail-safe clock monitor enabled
#FUSES NOPBADEN                 //PORTB pins are configured as digital I/O on RESET
#FUSES NOWRTC                   //configuration not registers write protected
#FUSES NOWRTB                   //Boot block not write protected
#FUSES NOEBTR                   //Memory not protected from table reads
#FUSES NOEBTRB                  //Boot block not protected from table reads
#FUSES NOCPB                    //No Boot Block code protection
#FUSES LPT1OSC                  //Timer1 configured for low-power operation
#FUSES MCLR                     //Master Clear pin enabled
#FUSES NOXINST                  //Extended set extension and Indexed Addressing 
                                //mode disabled (Legacy mode)
#FUSES CCP2B3                   // put ccp2 on b-3 rather than c1

#define T1_EXTERNAL_RTC 0x0f // missing from above header file (but in dox)
// Note, must keep TMR1 in 8 bit mode for bit-set reload to work.
// Which this define does -- it's separate access to tmr1 h,l, no buffer
// That technique prevents loss of low bits if it takes awhile to
// get to the interrupt to reload the timeout for the one second period

#use delay(clock=32MHZ,RESTART_WDT)  // internal clock too!
#use rs232(baud=57600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8)
#use fast_io (ALL) // we will control the horizontal, the vertical

// order to check on interrupts, give the dispatcher a hint
#PRIORITY INT_TIMER3, INT_TIMER1

